/**************************************************************************
 *
 * Package:	gov.nih.nlm.mms
 * Object:	LocalException.java
 *
 **************************************************************************/
package gov.nih.nlm.mms;

/**
 * Represents an exception thrown by a "known" problem. This class is a
 * mechanism to have the application respond to exceptions that are expected
 * differently than exceptions that are unexpected.
 * 
 * @author Deborah Shapiro, Brian Carlsen
 */
public class LocalException extends Exception {

  //
  // Constructors
  //

  /**
   * Instantiates an empty {@link LocalException}.
   */
  public LocalException() {
    this("");
  };

  /**
   * Instantiates a {@link LocalException} with the specified error message.
   * 
   * @param msg
   *          an error message
   */
  public LocalException(String msg) {
    super(msg);
  };

}
