/**************************************************************************
 *
 * Package:     gov.nih.nlm.mms
 * Interface:   MetamorphoSysOutputStream.java
 *
 **************************************************************************/
package gov.nih.nlm.mms;

import gov.nih.nlm.umls.io.MetathesaurusOutputStream;

/**
 * Generically represents an output source for Metathesaurus data.
 *
 * @author Deborah Shapiro
 *
 */
public interface MetamorphoSysOutputStream extends MetathesaurusOutputStream,
  GUIConfigurable, SubsetListener {

  /**
   * Indicates whether or not the output stream is configured to remove
   * non-ASCII Unicode lines.
   * @return <code>true</code> if so, <code>false</code> otherwise
   */
  public boolean removeUnicode();

  /**
   * Indicates whether or not the output stream is configured to remove
   * concepts with only MTH atoms.
   * @return <code>boolean</code>
   */
  public boolean removeMTHOnlyConcepts();
}

