/**************************************************************************
 *
 * Package:    gov.nih.nlm.mms;
 * Interface:  SourcesToRemoveListener.java
 *
 *************************************************************************/
package gov.nih.nlm.mms;

/**
 * Generically represents a listener for events pertaining to changes
 * in the list of sources to remove.
 *
 * @author Deborah Shapiro, Brian Carsen
 */
public interface SourcesToRemoveListener {

  /**
   * Informs the listener of a change in the sources to remove list.
   * @param e the {@link SourcesToRemoveEvent}
   */
  public void sourcesToRemoveChanged(SourcesToRemoveEvent e);

}
