/**************************************************************************
 *
 * Package:    gov.nih.nlm.mms;
 * Interface:  UndoHandler.java
 *

 *************************************************************************/
package gov.nih.nlm.mms;

/**
 * Generically represents a handler for undoing a certain action.
 * @author Deborah Shapiro
 **/
public interface UndoHandler {

  //
  // Methods
  //

  /**
   * Returns the title to appear on a menu item.
   * @return the title to appear on a menu item
   */
  public String getTitle();

  /**
   * Performs the undo operation
   * @param o1 object 1, context specific piece of information for undoing action.
   * @param o2 object 2, context specific piece of information for undoing action
   */
  public void undo(Object o1, Object o2);

}

