/*****************************************************************************
 *
 * Object:  ConceptList.java
 * Author:  Deborah Shapiro
 *
 *
 *****************************************************************************/
package gov.nih.nlm.mms.browser;

import gov.nih.nlm.umls.meta.Concept;

import java.util.Stack;

/**
 * Data repository for information
 * on viewed concepts.
 *
 * @author  Deborah Shapiro (dshapiro@apelon.com)
 */
public class ConceptList  {

  private Stack backward;
  private Stack forward;
  private Concept current_concept;

  /**
   * Constructor.
   */
  public ConceptList() {
    backward = new Stack();
    forward = new Stack();
    current_concept = null;
  }

  /**
   * Methods
   */
  /**
   * Returns a {@link Stack} of {@link Concept}s populated
   * only with cuis.
   * @return backward stack
   */
  public Stack getBackwardStack() {
    return backward;
  }

  /**
   * Returns a {@link Stack} of {@link Concept}s populated
   * only with cuis.
   * @return forward stack
   */
  public Stack getForwardStack() {
    return forward;
  }

  /**
   * Returns the currently displayed {@link Concept}.
   * @return concept
   */
  public Concept getCurrentConcept() {
    return current_concept;
  }

  /**
   * Sets the current {@link Concept}.
   * @param concept current concept
   */
  public void setCurrentConcept(Concept concept) {
    current_concept = concept;
  }
}
