/****************************************************************************
 *
 * Package: gov.nih.nlm.mms.browser
 * Object:  ExitRRFAction.java
 *
 *****************************************************************************/
package gov.nih.nlm.mms.browser;

import gov.nih.nlm.mms.MMSToolkit;

import java.awt.Event;
import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.KeyStroke;

/**
 * Represents an action for exiting the application. Used for the
 * <code>File -> Exit</code> menu of {@link RRFBrowserGUI}.
 * 
 * @author Deborah Shapiro
 */
public class ExitRRFAction extends AbstractAction {

  /**
   * Instantiates an {@link ExitRRFAction}
   */
  public ExitRRFAction() {
    putValue(Action.NAME, "Exit");
    putValue(Action.SHORT_DESCRIPTION, "Exit");
    putValue(Action.MNEMONIC_KEY, new Integer((int) 'q'));
    putValue(Action.ACCELERATOR_KEY, KeyStroke.getKeyStroke('Q',
        Event.CTRL_MASK));
  }

  /**
   * Exits the application.
   * 
   * @param e
   *          the {@link ActionEvent}
   */
  public void actionPerformed(ActionEvent e) {
    try {
      RRFBrowserGUI.getRRFBrowserGUI().writeCuiToFile();
    } catch (Exception ex) {
      // do nothing if unable to save settings
    }
    MMSToolkit.exitToWelcomeGUI(RRFBrowserGUI.getRRFBrowserGUI());
  }

}
