/*****************************************************************************
 *
 * Package: gov.nih.nlm.mms.browser;
 * Object:  FindAction.java
 *
 *****************************************************************************/
package gov.nih.nlm.mms.browser;

import gov.nih.nlm.mms.MMSToolkit;
import gov.nih.nlm.swing.SwingToolkit;

import java.awt.Event;
import java.awt.event.ActionEvent;
import java.awt.image.BufferedImage;
import java.net.URL;

import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.ImageIcon;
import javax.swing.KeyStroke;

/**
 * Action used for printing a concept view.
 * 
 * @author Deborah Shapiro (dshapiro@apelon.com)
 */
public class FindAction extends AbstractAction {


   
  public FindAction() {
    super();

    putValue(Action.NAME, "Find");
    putValue(Action.MNEMONIC_KEY, new Integer((int) 'f'));
    putValue(Action.ACCELERATOR_KEY, KeyStroke.getKeyStroke('F',
        Event.CTRL_MASK));
    putValue(Action.SHORT_DESCRIPTION, "Find");
    ImageIcon clm_icon = null;
    BufferedImage clm_image = null;
    try {
      URL gif_url = this.getClass().getClassLoader().getResource(
          "config/Find24.gif");
      clm_image = SwingToolkit.readScaledImage(gif_url, 17, false);
      clm_icon = new ImageIcon(clm_image);
    } catch (Exception ex) {
      throw new RuntimeException(
          "Scaled version of config/Find24.gif could not be loaded.");
    }
    putValue(Action.SMALL_ICON, clm_icon);
    //setEnabled(false);
  }

  /**
   * Action performed.
   * 
   * @param e
   *          {@link ActionEvent}
   */
  public void actionPerformed(ActionEvent e) {
    RRFBrowserGUI.getRRFBrowserGUI().enableGlassPane();
    Thread thread = new Thread(new Runnable() {
      public void run() {
        try {
          RRFBrowserGUI.getFindDialog().setVisible(true);
        } catch (Exception ex) {
          ex.printStackTrace();
          MMSToolkit.notifyUser(RRFBrowserGUI.getRRFBrowserGUI(),
              "There was an error displaying the concept view.\n"
                  + "See the console for more details.");
          RRFBrowserGUI.getRRFBrowserGUI().disableGlassPane();
        }
        RRFBrowserGUI.getRRFBrowserGUI().disableGlassPane();
        RRFBrowserGUI.getFindDialog().toFront();
      }
    });
    thread.start();
  }

}
