/*****************************************************************************
 * Package: gov.nih.nlm.mms.browser
 * Object:  Finder.java
 *
 ****************************************************************************/
package gov.nih.nlm.mms.browser;

import gov.nih.nlm.mms.GUIConfigurable;
import gov.nih.nlm.umls.meta.Concept;

import java.io.File;

/**
 * Generically represents a way to find {@link Concept}s.
 *
 * @author Deborah Shapiro
 */
public interface Finder
    extends GUIConfigurable {

  /**
   * Sets the {@link ConceptListManager}.
   * @param clm {@link ConceptListManager}
   */
  public void setConceptListManager(ConceptListManager clm);

  /**
   * Handles opening of a source directory.
   * @param source_dir the source directory
   */
  public void subsetDirectoryOpened(File source_dir);

  /**
   * Sets the font point size for this {@link Finder}.
   * @param point_size <code>int</code>
   */
  public void setFontPointSize(int point_size);
  
  /**
   * Sets the font family for this {@link Finder}.
   * @param font_family <code>int</code>
   */
  public void setFontFamily(String font_family);
 
  /**
   * Redraws the text portions of the {@link Finder}.
   */
  public void refresh();
}
