/*****************************************************************************
 * Package: gov.nih.nlm.mms.browser
 * Object:  FullyPrintable.java
 *
 ****************************************************************************/
package gov.nih.nlm.mms.browser;

import java.awt.print.Printable;
import java.awt.print.PrinterException;

/**
 * Generically represents a component that knows how to print itself.
 *
 * @author Deborah Shapiro
 */
public interface FullyPrintable {

  /**
   * Prints.
   * @throws PrinterException
   */
  public void print() throws PrinterException;

  /**
   * Returns the {@link Printable} that handles printing.
   * @return {@link Printable} that handles printing
   */
  public Printable getPrintable();

}
