/**************************************************************************
 *
 * Package:    gov.nih.nlm.mms.filters;
 * Interface:  ConceptContentSelector.java
 *
 *************************************************************************/
package gov.nih.nlm.mms.filters;

import gov.nih.nlm.umls.meta.Concept;

/**
 *
 * This is an interface with methods used to
 * remove components of {@link Concept}s from the subset.
 *
 * @author Deborah Shapiro
 *
 **/

public interface ConceptContentSelector extends Filter {

  //
  // Methods
  //

  /**
   * Method which removes a given {@link Concept} or its components
   * from the release.  Called during the subsetting process.
   * @param concept {@link Concept}
   */
  public void applySelections(Concept concept);


}

