/**************************************************************************
 * Package:     gov.nih.nlm.umls.io
 * Interface:   FileStatisticsConfiguration.java
 *
 **************************************************************************/
package gov.nih.nlm.umls.io;

import gov.nih.nlm.util.FileStatistics;

/**
 * Generically represents a handler for creating {@link FileStatistics}
 * information based on some kind of configuration.
 *
 * @author Deborah Shapiro
 */
public interface FileStatisticsConfiguration {

  /**
   * Returns the {@link FileStatistics} object for the specified file name.
   * @param file_name the specified file name
   * @return the {@link FileStatistics} object for the specified file name
   */
  public FileStatistics getFileStatistics(String file_name) ;

}

