/**************************************************************************
 * Package:     gov.nih.nlm.umls.meta
 * Interface:   AtomAttribute.java
 *
 **************************************************************************/
package gov.nih.nlm.umls.meta;

/**
 * Represents information about an attribute attached
 * to an {@link Atom}.
 * <p>
 * Following is a UML Class diagram showing the neighborhood around {@link AtomAttribute}
 * <p><center><img src="AtomAttribute.gif"></center>
 * <p>
 * All data in a row of the <code>MRSAT</code> file where the UI
 * value starts with an A is represented here.
 * <p>
 * @author Brian Carlsen, Deborah Shapiro
 */
public interface AtomAttribute extends AtomElement, Attribute { }