/**************************************************************************
 * Package:     gov.nih.nlm.umls.meta
 * Interface:   AtomRelationship.java
 *
 **************************************************************************/
package gov.nih.nlm.umls.meta;

/**
 * Represents a relationship between two {@link Atom}s.
 * <p>
 * Following is a UML Class diagram showing the neighborhood around {@link Relationship}
 * <p><center><img src="Relationship.gif"></center>
 * <p>
 * All data in a row of the <code>MRREL</code> file where the AUI1 and AUI2
 * are not null is represented here.
 * <p>
 * @author Brian Carlsen, Deborah Shapiro
 */
public interface AtomRelationship extends AtomElement, RelatedAtomElement, Relationship { }