/**************************************************************************
 * Package:     gov.nih.nlm.umls.meta
 * Interface:   ExpandedForm.java
 *
 **************************************************************************/
package gov.nih.nlm.umls.meta;

/**
 * Represents an expanded form entry from MRDOC.  Implementations
 * of this interface are dynamic enumerated types.
 *
 * @author Brian Carlsen, Deborah Shapiro
 */
public interface ExpandedForm extends Comparable {

  /**
   * Return the abbreviation.
   * @return the abbreviation
   */
  public String getAbbreviation();

  /**
   * Return the description.
   * @return the description
   */
  public String getDescription();
}