/**************************************************************************
 * Package:     gov.nih.nlm.umls.meta
 * Interface:   RelatedAtomElement.java
 *
 **************************************************************************/
package gov.nih.nlm.umls.meta;

/**
 * Generically represents an object that is related to an {@link Atom}.
 *
 * @author Brian Carlsen, Deborah Shapiro
 */
public interface RelatedAtomElement {

  /**
   * Returns the {@link Atom} to which this element is related.
   * @return the {@link Atom} to which this element is related
   */
  public Atom getRelatedAtom();

  /**
   * Sets the {@link Atom} to which this element is related.
   * @param related_atom the {@link Atom} to which this element is related.
   */
  public void setRelatedAtom(Atom related_atom);

}