/**************************************************************************
 * Package:     gov.nih.nlm.umls.meta
 * Interface:   TermElement.java
 *
 **************************************************************************/
package gov.nih.nlm.umls.meta;

/**
 * Represents information about a data element connected to an {@link Term}.
 *
 * @author Brian Carlsen, Deborah Shapiro
 */
public interface TermElement {

  /**
   * Returns the {@link Term} to which this element is connected.
   * @return the {@link Term} to which this element is connected
   */
  public Term getTerm();

  /**
   * Sets the {@link Term} to which this element is connected.
   * @param term the {@link Term} to which this element is connected.
   */
  public void setTerm(Term term);

}