/**************************************************************************
 * Package:	gov.nih.nlm.mms
 * Class:	NormalizedStringIndexEntry.java
 *
 **************************************************************************/
package gov.nih.nlm.umls.meta.impl;

/**
 * Default implementation of the {@link NormalizedStringIndexEntryImpl}
 * interface.
 *
 * @author Deborah Shapiro, Brian Carlsen
 */
public class NormalizedStringIndexEntryImpl extends IndexEntryImpl{

  //
  // Constructor
  //
  /**
   * Instantiates an empty {@link NormalizedStringIndexEntryImpl}.
   */
  public NormalizedStringIndexEntryImpl() {
    super();
  };

  /**
   * Instantiates a {@link NormalizedStringIndexEntryImpl} from the specified
   * {@link NormalizedStringIndexEntryImpl}.
   * @param ns {@link NormalizedStringIndexEntryImpl} to be copied
   */
  public NormalizedStringIndexEntryImpl(NormalizedStringIndexEntryImpl ns) {
    super(ns);
    setNormalizedString(ns.getNormalizedString());
  }

  //
  // Accessor Methods
  //

  /**
   * Returns the {@link String} that is being indexed.
   * @return the {@link String} that is being indexed
   */
  public String getNormalizedString() {
    return super.getValue();
  }

  /**
   * Set the {@link String} being indexed
   * @param norm_str the {@link String} being indexed
   */
  public void setNormalizedString(String norm_str) {
    super.setValue(norm_str);
  }

}

