/**************************************************************************
 * Package:	gov.nih.nlm.mms
 * Class:	NormalizedWordIndexEntry.java
 *
 **************************************************************************/
package gov.nih.nlm.umls.meta.impl;

/**
 * Default implementation of the {@link NormalizedWordIndexEntryImpl}
 * interface.
 *
 * @author Deborah Shapiro, Brian Carlsen
 */
public class NormalizedWordIndexEntryImpl extends IndexEntryImpl{

  //
  // Constructor
  //
  /**
   * Instantiates an empty {@link NormalizedWordIndexEntryImpl}.
   */
  public NormalizedWordIndexEntryImpl() {
    super();
  };

  /**
   * Instantiates a {@link NormalizedWordIndexEntryImpl} from the specified
   * {@link NormalizedWordIndexEntryImpl}.
   * @param nw {@link NormalizedWordIndexEntryImpl} to be copied
   */
  public NormalizedWordIndexEntryImpl(NormalizedWordIndexEntryImpl nw) {
    super(nw);
    setNormalizedWord(nw.getNormalizedWord());
  }

  //
  // Accessor Methods
  //

  /**
   * Returns the {@link String} that is being indexed.
   * @return the {@link String} that is being indexed
   */
  public String getNormalizedWord() {
    return super.getValue();
  }

  /**
   * Set the {@link String} being indexed
   * @param norm_word the {@link String} being indexed
   */
  public void setNormalizedWord(String norm_word) {
    super.setValue(norm_word);
  }

}

